import 'package:nui_core/data/nui_ent.dart';

class IFBodyJson extends NUIEnt<IFBodyJson>{
  IFBodyJson.empty();
  String jsLogic;
  int inputVerticalSpacing;
  List<Map<String, dynamic>> inputs;

  @override
  NUIEntMapper<IFBodyJson> mapper() => IFBodyJsonEnt();
}

class IFBodyJsonEnt extends NUIEntMapper<IFBodyJson>{
  @override
  String entityName() => "IFBodyJson";

  @override
  List<NUIEntField> fields() {
    return [
      NUIEntField<IFBodyJson>(name: "jsLogic", type: NUIEntType.STRING, setter: (data, value) => data.jsLogic = value, getter: (data) => data.jsLogic),
      NUIEntField<IFBodyJson>(name: "inputVerticalSpacing", type: NUIEntType.INTEGER, setter: (data, value) => data.inputVerticalSpacing = value, getter: (data) => data.inputVerticalSpacing),
      NUIEntField<IFBodyJson>(name: "inputs", type: NUIEntType.LIST_MAP, setter: (data, value) => data.inputs = asList<Map<String, dynamic>>(value), getter: (data) => data.inputs),
    ];
  }

  @override
  IFBodyJson newInstance() => IFBodyJson.empty();
}