library iform;

enum IFormCType{
  Label,
  SingleLineText,
  MultiLineText,
  DropDown,
  MYIc,
  MYPhone,
  Password,
  Address,
  DatePicker,
  TimePicker,
  DateTimePicker,
  DigitPad,
  ButtonsRow,
  CheckGroup,
  Calendar,
  Phone
}
extension IFormCTypeExt on IFormCType{
  String value(){
    switch(this){
      case IFormCType.Label: return "Label2";
      case IFormCType.SingleLineText: return "IngSinglelineText";
      case IFormCType.MultiLineText: return "IngMultilineText";
      case IFormCType.DropDown: return "IngDropDown";
      case IFormCType.MYIc: return "MsiaIc";
      case IFormCType.Password: return "IngPassword";
      case IFormCType.Address: return "IngAddress";
      case IFormCType.Phone: return "IngPhone";
      case IFormCType.MYPhone: return "MsiaPhone";
      case IFormCType.DatePicker: return "IngDatePicker";
      case IFormCType.TimePicker: return "IngTimePicker";
      case IFormCType.DateTimePicker: return "IngDateTimePicker";
      case IFormCType.DigitPad: return "DigitPad";
      case IFormCType.ButtonsRow: return "ButtonsRow";
      case IFormCType.CheckGroup: return "CheckGroup2";
      case IFormCType.Calendar: return "Calendar";
    }
  }
}

class IForm{
  IForm._builder();
}
